## kopete 18.04.3

=== debian/changelog ===
kopete (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * libjingle support FTBFS with glibc 2.28. Disable temporarily to
    assist the migration of the rest of KDE PIM.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 23:53:46 +0100

kopete (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.90)
  * Merge from debian experimental: remaining changes
    - Run autotests on ubuntu infra, not at build time
    - Kubuntu VCS fields
  * New upstream release (18.04.0)
  * Mark symbbol otional for Qt 5.10
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Update install files
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:23 +0100

kopete (4:18.03.90-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Update symbols file.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Apr 2018 10:16:22 +0200

kopete (4:18.03.80-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release:
    - no more ships a browser plugin (Closes: #777081)
    - switches to Qt5/KF5 (Closes: #874985)
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, kdelibs5-dev, kdepimlibs5-dev, libqca2-dev,
      libqimageblitz-dev, and libqjson-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5config-dev,
      libkf5contacts-dev, libkf5coreaddons-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5emoticons-dev,
      libkf5i18n-dev, libkf5identitymanagement-dev, libkf5kcmutils-dev,
      libkf5kdelibs4support-dev, libkf5khtml-dev, libkf5kio-dev,
      libkf5libkleo-dev, libkf5notifyconfig-dev, libkf5parts-dev,
      libkf5texteditor-dev, libkf5wallet-dev, libphonon4qt5-dev,
      libphonon4qt5experimental-dev, and libqca-qt5-2-dev
  * Switch the libgpgme11-dev build dependency to libgpgmepp-dev.
  * Use the right makefile class:
    - use debian-qt-kde.mk v3
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Use https for Format in copyright.
  * Rename libkopete4 to libkopete1, following the upstream SONAME change.
  * Update/rewrite install files.
  * Update symbols file.
  * Break/replace against kde-l10n that ships translations.
  * Switch to dh-exec for installing libjingle-call only on Linux
    architectures:
    - add the dh-exec build dependency
    - ensure usr/bin/libjingle-call is installed only on linux-any
      architectures
    - remove creation/removal of kopete.install.kfreebsd
  * Update the runtime relationships:
    - replace libqca2-plugins with libqca-qt5-2-plugins
    - replace libqt4-sql-sqlite with libqt5sql5-sqlite
    - remove texlive-latex-base, as there is no LaTeX plugin
    - remove kdeartwork-emoticons, as it does not exist anymore
    - switch from the result of dh_sameversiondep to a simple qtbase5-dev for
      libkopete-dev: it should be enough for now
  * Update lintian overrides.
  * Stop excluding kdepim-runtime from the dh_shlibdeps results, as it is no
    more injected.
  * Split a kopete-data out of kopete
    - add proper breaks/replaces
  * Update watch file to point to the unstable releases, for now.
  * Drop the dh_acc autopkgtest, and stuff, since it is long outdated.
  * Enable the test suite:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test under xvfb-run
    - drop the autopkgtest running it (since it is also the wrong place for it)
  * Update README.Debian to the various changes.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Apr 2018 23:00:17 +0200

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               dh-exec,
               extra-cmake-modules (>= 5.25.0~),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libboost-dev,
               libexpat-dev,
               libexpat1-dev,
               libgadu-dev (>= 1.8.0),
               libgif-dev,
               libgnutls28-dev,
               libgpgmepp-dev,
               libidn11-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libkf5config-dev (>= 5.25.0~),
               libkf5contacts-dev (>= 4:18.04.3~),
               libkf5coreaddons-dev (>= 5.25.0~),
               libkf5crash-dev (>= 5.25.0~),
               libkf5dbusaddons-dev (>= 5.25.0~),
               libkf5doctools-dev (>= 5.25.0~),
               libkf5emoticons-dev (>= 5.25.0~),
               libkf5i18n-dev (>= 5.25.0~),
               libkf5identitymanagement-dev (>= 18.04.3~),
               libkf5kcmutils-dev (>= 5.25.0~),
               libkf5kdelibs4support-dev (>= 5.25.0~),
               libkf5khtml-dev (>= 5.25.0~),
               libkf5kio-dev (>= 5.25.0~),
               libkf5libkleo-dev (>= 4:18.04.3~),
               libkf5notifyconfig-dev (>= 5.25.0~),
               libkf5parts-dev (>= 5.25.0~),
               libkf5texteditor-dev (>= 5.25.0~),
               libkf5wallet-dev (>= 5.25.0~),
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev,
               libsqlite3-dev,
               libsrtp0-dev,
               libssl1.0-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.0~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete

Package: libkopete1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 kopete-data (= ${source:Version}),
Recommends: libqca-qt5-2-plugins, libqt5sql5-sqlite,
Suggests: imagemagick, khelpcenter,
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: kopete-data
Section: net
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
Breaks: kopete (<< 4:18.03.80~), ${kde-l10n:all},
Replaces: kopete (<< 4:18.03.80~), ${kde-l10n:all},
Description: data files for Kopete
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains the data files.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete1 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.0~),
         ${misc:Depends},
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_ARCH_OS),linux)
  CONFIGURE_ARGS += -DWITH_GOOGLETALK=false
endif

CONFIGURE_ARGS += -DWITH_libjingle=OFF

l10npkgs_firstversion_ok := 4:18.04.0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- $(CONFIGURE_ARGS)

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_shlibdeps:
	$(overridden_command) -plibkopete1 -- -xkopete
	$(overridden_command) --remaining-packages

=== debian/watch ===
version=4
https://download.kde.org/unstable/applications/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## kopete 18.08.3

=== debian/changelog ===
kopete (4:18.08.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Merge changes from 4:17.08.3-2:
    - stop passing -DBUILD_skypebuttons=OFF to cmake, as not needed anymore in
      newer versions
    - refresh patch fix-mediastreamer-ftbfs.patch from #890606
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Nov 2018 13:23:21 +0100

kopete (4:18.04.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the libboost-dev, and libgif-dev build dependencies, no more needed.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jun 2018 08:26:21 +0200

kopete (4:18.04.1-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Fix "Please migrate to openssl1.1 in buster" (Closes: #858938)
    - Added patch from Fedora kopete-17.08.3-openssl-1.1.patch.
    - Replaces Build-Dependency from libssl1.0-dev to libssl-dev.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.
  * Add upstream signing key.

 -- Sandro Knauß <hefee@debian.org>  Fri, 01 Jun 2018 12:58:57 +0200

kopete (4:18.04.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 12:48:37 +0200

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               dh-exec,
               extra-cmake-modules (>= 5.25.0~),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libexpat-dev,
               libexpat1-dev,
               libgadu-dev (>= 1.8.0),
               libgnutls28-dev,
               libgpgmepp-dev (>= 1.8.0~),
               libidn11-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libkf5config-dev (>= 5.25.0~),
               libkf5contacts-dev,
               libkf5coreaddons-dev (>= 5.25.0~),
               libkf5crash-dev (>= 5.25.0~),
               libkf5dbusaddons-dev (>= 5.25.0~),
               libkf5dnssd-dev (>= 5.25.0~),
               libkf5doctools-dev (>= 5.25.0~),
               libkf5emoticons-dev (>= 5.25.0~),
               libkf5i18n-dev (>= 5.25.0~),
               libkf5identitymanagement-dev,
               libkf5kcmutils-dev (>= 5.25.0~),
               libkf5kdelibs4support-dev (>= 5.25.0~),
               libkf5khtml-dev (>= 5.25.0~),
               libkf5kio-dev (>= 5.25.0~),
               libkf5libkleo-dev (>= 4:16.12.0~),
               libkf5notifyconfig-dev (>= 5.25.0~),
               libkf5parts-dev (>= 5.25.0~),
               libkf5texteditor-dev (>= 5.25.0~),
               libkf5wallet-dev (>= 5.25.0~),
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libsqlite3-dev,
               libsrtp2-dev,
               libssl-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.0~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopete
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopete.git

Package: kopete
Section: net
Architecture: any
Depends: kopete-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: libqca-qt5-2-plugins, libqt5sql5-sqlite
Suggests: imagemagick, khelpcenter
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: kopete-data
Section: net
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kopete (<< 4:18.03.80~), ${kde-l10n:all}
Replaces: kopete (<< 4:18.03.80~), ${kde-l10n:all}
Description: data files for Kopete
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains the data files.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete1 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.0~),
         ${misc:Depends},
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

## kopete 18.12.3

=== debian/changelog ===
kopete (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:46:40 +0100

kopete (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:16 +0000

kopete (4:18.08.3-1ubuntu1) disco; urgency=medium

  * Merge Debian experimental changes. Remaining changes:
    - d/upstream/metadata: Update for KDE cgit Vcs.
    - d/control: Bumped build deps.
    - d/control: Kubuntu Vcs fields.
    - d/not-installed: Update to format required by dh_missing.
    - Keep our symbols files.
    - d/patches: add back fix-glibc2.28-ftbfs.patch from Buster

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Mar 2019 11:43:06 +0000

kopete (4:18.04.3-0ubuntu3) disco; urgency=medium

  * Skip tests. Too expensive for a package barely supported.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Feb 2019 17:47:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kopete
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
@@ -21,7 +22,7 @@
                libjpeg-dev,
                libjsoncpp-dev,
                libkf5config-dev (>= 5.25.0~),
-               libkf5contacts-dev,
+               libkf5contacts-dev (>= 4:18.12.3~),
                libkf5coreaddons-dev (>= 5.25.0~),
                libkf5crash-dev (>= 5.25.0~),
                libkf5dbusaddons-dev (>= 5.25.0~),
@@ -29,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev,
+               libkf5identitymanagement-dev (>= 18.12.3~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:16.12.0~),
+               libkf5libkleo-dev (>= 4:18.12.3~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),
@@ -62,8 +63,8 @@
                zlib1g-dev,
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopete
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopete.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
 
 Package: kopete
 Section: net

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 ifneq ($(DEB_HOST_ARCH_OS),linux)
   CONFIGURE_ARGS += -DWITH_GOOGLETALK=false
 endif
-
-CONFIGURE_ARGS += -DWITH_libjingle=OFF
 
 l10npkgs_firstversion_ok := 4:18.04.0~
 
@@ -19,8 +17,8 @@
 	$(overridden_command) -- $(CONFIGURE_ARGS)
 
 override_dh_auto_test:
-	# Disable dh_auto_test at build time
-	:
+	xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" -- \
+	  $(overridden_command) --no-parallel
 
 override_dh_shlibdeps:
 	$(overridden_command) -plibkopete1 -- -xkopete

## kopete 19.04.3

=== debian/changelog ===
kopete (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Fix l10n breaks/replaces version (LP: #1841116)
    - debian/rules: set l10npkgs_firstversion_ok := 4:17.08.3~ rather than
      incorrect 4:18.04.0~

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Aug 2019 17:32:15 +0100

kopete (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:55:49 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libjpeg-dev,
                libjsoncpp-dev,
                libkf5config-dev (>= 5.25.0~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5coreaddons-dev (>= 5.25.0~),
                libkf5crash-dev (>= 5.25.0~),
                libkf5dbusaddons-dev (>= 5.25.0~),
@@ -30,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 18.12.3~),
+               libkf5identitymanagement-dev (>= 19.04.3~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:18.12.3~),
+               libkf5libkleo-dev (>= 4:19.04.3~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),

## kopete 19.12.3

=== doc-dev/t1/CMakeLists.txt ===
########### define cmake project ###########################

project(kopete_tutorial)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

########### install the plugins desktop file ###############

install(FILES kopete_tutorialplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== libkopete/avdevice/CMakeLists.txt ===

if (LIBV4L2_FOUND)
    include_directories(
        ${KOPETE_INCLUDES}
        ${LIBV4L2_INCLUDE_DIR}
        )
    add_definitions(-DHAVE_LIBV4L2)
else (LIBV4L2_FOUND)
    include_directories(
        ${KOPETE_INCLUDES}
        )
endif (LIBV4L2_FOUND)

include(CheckIncludeFile)
check_include_file(linux/videodev.h HAVE_V4L)
if(HAVE_V4L)
    add_definitions(-DHAVE_V4L)
endif(HAVE_V4L)

########### next target ###############

set(kopete_videodevice_LIB_SRCS 
    videodevice.cpp
    videoinput.cpp
    videodevicepool.cpp
    bayer.cpp
    sonix_compress.cpp )

add_library(kopete_videodevice SHARED ${kopete_videodevice_LIB_SRCS})

if (LIBV4L2_FOUND)
    target_link_libraries(kopete_videodevice Qt5::Gui KF5::KDELibs4Support  ${LIBV4L2_LIBRARY})
else (LIBV4L2_FOUND)
    target_link_libraries(kopete_videodevice Qt5::Gui KF5::KDELibs4Support )
endif (LIBV4L2_FOUND)

set_target_properties(kopete_videodevice PROPERTIES VERSION 1.0.0 SOVERSION 1 )
install(TARGETS kopete_videodevice ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############


########### install files ###############

=== plugins/addbookmarks/CMakeLists.txt ===

include_directories(
    ${KOPETE_INCLUDES}
    )

########### next target ###############

set(kopete_addbookmarks_PART_SRCS addbookmarksplugin.cpp addbookmarksprefssettings.cpp )


add_library(kopete_addbookmarks MODULE ${kopete_addbookmarks_PART_SRCS})


target_link_libraries(kopete_addbookmarks  KF5::KIOCore kopete )

install(TARGETS kopete_addbookmarks  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### next target ###############

set(kcm_kopete_addbookmarks_PART_SRCS addbookmarkspreferences.cpp addbookmarksprefssettings.cpp )

ki18n_wrap_ui(kcm_kopete_addbookmarks_PART_SRCS addbookmarksprefsui.ui )


add_library(kcm_kopete_addbookmarks MODULE ${kcm_kopete_addbookmarks_PART_SRCS})


target_link_libraries(kcm_kopete_addbookmarks kopete  )

install(TARGETS kcm_kopete_addbookmarks  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install( FILES kopete_addbookmarks.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install( FILES kopete_addbookmarks_config.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kconfiguredialog)

=== plugins/autoreplace/CMakeLists.txt ===
add_subdirectory( icons ) 

include_directories( 
    ${KOPETE_INCLUDES}
    )


########### next target ###############

set(kopete_autoreplace_PART_SRCS autoreplaceplugin.cpp autoreplaceconfig.cpp )

add_library(kopete_autoreplace MODULE ${kopete_autoreplace_PART_SRCS})


target_link_libraries(kopete_autoreplace   kopete )

install(TARGETS kopete_autoreplace  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### next target ###############

set(kcm_kopete_autoreplace_PART_SRCS autoreplacepreferences.cpp autoreplaceconfig.cpp )

ki18n_wrap_ui(kcm_kopete_autoreplace_PART_SRCS autoreplaceprefs.ui )


add_library(kcm_kopete_autoreplace MODULE ${kcm_kopete_autoreplace_PART_SRCS})


target_link_libraries(kcm_kopete_autoreplace   kopete )

install(TARGETS kcm_kopete_autoreplace  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install( FILES kopete_autoreplace.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install( FILES kopete_autoreplace_config.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kconfiguredialog)

=== plugins/urlpicpreview/CMakeLists.txt ===

include_directories( 
    ${KOPETE_INCLUDES}
    )


########### next target ###############

find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS KCMUtils)

set(kopete_urlpicpreview_PART_SRCS
    #   linkpreview.cpp
    urlpicpreviewplugin.cpp )

kconfig_add_kcfg_files(kopete_urlpicpreview_PART_SRCS urlpicpreviewconfig.kcfgc )

add_library(kopete_urlpicpreview MODULE ${kopete_urlpicpreview_PART_SRCS})


target_link_libraries(kopete_urlpicpreview
    KF5::KDELibs4Support
    KF5::KIOCore
    KF5::KCMUtils
    kopete
    )

install(TARGETS kopete_urlpicpreview DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### next target ###############

set(kcm_kopete_urlpicpreview_PART_SRCS
    urlpicpreviewpreferences.cpp )

ki18n_wrap_ui(kcm_kopete_urlpicpreview_PART_SRCS urlpicpreviewprefsbase.ui )

kconfig_add_kcfg_files(kcm_kopete_urlpicpreview_PART_SRCS urlpicpreviewconfig.kcfgc )

add_library(kcm_kopete_urlpicpreview MODULE ${kcm_kopete_urlpicpreview_PART_SRCS})


target_link_libraries(kcm_kopete_urlpicpreview
    KF5::KIOCore
    kopete
    )

install(TARGETS kcm_kopete_urlpicpreview  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install( FILES urlpicpreview.kcfg  DESTINATION ${KDE_INSTALL_KCFGDIR})
install( FILES kopete_urlpicpreview.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install( FILES kopete_urlpicpreview_config.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kconfiguredialog)
file(GLOB icons_png "*.png")
file(GLOB icons_svg "*.svg")
set(all_icons ${icons_png} ${icons_svg})
ecm_install_icons(ICONS ${all_icons}  DESTINATION ${KDE_INSTALL_DATADIR}/kopete/icons THEME oxygen)

=== protocols/winpopup/CMakeLists.txt ===

#add_subdirectory( ui ) 
add_subdirectory( icons ) 

include_directories( 
    ${KOPETE_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/libwinpopup/
    )


########### next target ###############

set(kopete_wp_ui_SRCS)

ki18n_wrap_ui(kopete_wp_ui_SRCS 
    ui/wpaddcontactbase.ui
    ui/wpuserinfowidget.ui
    ui/wpeditaccountbase.ui
    )

set(libwinpopup_SRCS 
    libwinpopup/libwinpopup.cpp
    )

set(kopete_wp_PART_SRCS 
    ${kopete_wp_ui_SRCS}
    ${libwinpopup_SRCS}
    wpprotocol.cpp
    wpcontact.cpp
    wpaddcontact.cpp
    wpeditaccount.cpp
    wpaccount.cpp
    wpuserinfo.cpp )


add_library(kopete_wp MODULE ${kopete_wp_PART_SRCS})


target_link_libraries(kopete_wp  KF5::KIOCore kopete )

install(TARGETS kopete_wp  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install( FILES kopete_wp.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(PROGRAMS winpopup-send winpopup-install  DESTINATION ${KDE_INSTALL_BINDIR})

=== styles/Hacker/CMakeLists.txt ===

add_subdirectory( Contents ) 

########### install files ###############

install( FILES COPYRIGHT README gpl.txt  DESTINATION ${KDE_INSTALL_DATADIR}/kopete/styles/Hacker)

=== protocols/groupwise/libgroupwise/CMakeLists.txt ===
set( GROUPWISE_DEBUG_LIBGW 14191 )
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=${GROUPWISE_DEBUG_LIBGW} )

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/tasks
	${QCA2_INCLUDE_DIR}
)

########### tasks target ###############

set( libqgroupwise_tasks_SRCS
	tasks/chatcountstask.cpp
	tasks/chatpropertiestask.cpp
	tasks/conferencetask.cpp
	tasks/connectiontask.cpp
	tasks/createconferencetask.cpp
	tasks/createcontacttask.cpp
	tasks/createcontactinstancetask.cpp
	tasks/createfoldertask.cpp
	tasks/deleteitemtask.cpp
	tasks/eventtask.cpp
	tasks/getchatsearchresultstask.cpp
	tasks/getdetailstask.cpp
	tasks/getstatustask.cpp
	tasks/joinchattask.cpp
	tasks/joinconferencetask.cpp
	tasks/keepalivetask.cpp
	tasks/logintask.cpp
	tasks/leaveconferencetask.cpp
	tasks/modifycontactlisttask.cpp
	tasks/movecontacttask.cpp
	tasks/needfoldertask.cpp
	tasks/pollsearchresultstask.cpp
	tasks/privacyitemtask.cpp
	tasks/rejectinvitetask.cpp
	tasks/requesttask.cpp
	tasks/searchchattask.cpp
	tasks/searchusertask.cpp
	tasks/setstatustask.cpp
	tasks/sendinvitetask.cpp
	tasks/sendmessagetask.cpp
	tasks/statustask.cpp
	tasks/typingtask.cpp
	tasks/updatecontacttask.cpp
	tasks/updatefoldertask.cpp
	tasks/updateitemtask.cpp
)

set( libqgroupwise_SRCS
	bytestream.cpp
	chatroommanager.cpp
	client.cpp
	compressionhandler.cpp
	compress.cpp
	connector.cpp
	coreprotocol.cpp
	eventprotocol.cpp
	eventtransfer.cpp
	gwclientstream.cpp
	gwerror.cpp
	gwfield.cpp
	gwglobal.cpp
	inputprotocolbase.cpp
	privacymanager.cpp
	qcatlshandler.cpp
	request.cpp
	requestfactory.cpp
	response.cpp
	responseprotocol.cpp
	rtf.cc
	safedelete.cpp
	securestream.cpp
	stream.cpp
	task.cpp
	tlshandler.cpp
	transfer.cpp
	transferbase.cpp
	userdetailsmanager.cpp
	usertransfer.cpp
)


add_library( qgroupwise SHARED ${libqgroupwise_tasks_SRCS} ${libqgroupwise_SRCS} )

target_link_libraries( qgroupwise Qt5::Core Qt5::Gui Qt5::Network qca-qt5 ${ZLIB_LIBRARIES} KF5::KDELibs4Support)

########### install files ###############

install(TARGETS qgroupwise ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== protocols/oscar/aim/CMakeLists.txt ===

#add_subdirectory( ui )

include_directories(
    ${KOPETE_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/ui/
    ${CMAKE_CURRENT_BINARY_DIR}/ui/
    ${CMAKE_CURRENT_SOURCE_DIR}/../
    ${CMAKE_CURRENT_SOURCE_DIR}/../liboscar/
    ${CMAKE_CURRENT_SOURCE_DIR}/../liboscar/utils
    ${CMAKE_CURRENT_SOURCE_DIR}/../liboscar/tasks
    )


########### next target ###############

set(kopete_aim_ui_SRCS ui/aimaddcontactpage.cpp ui/aimeditaccountwidget.cpp)

ki18n_wrap_ui(kopete_aim_ui_SRCS
    ui/aimaddcontactui.ui
    ui/aiminfobase.ui
    ui/aimjoinchatbase.ui
    ui/aimeditaccountui.ui
    )

set(kopete_aim_PART_SRCS
    ${kopete_aim_ui_SRCS}
    aimprotocol.cpp
    aimaccount.cpp
    aimcontact.cpp
    icqcontact.cpp
    aimstatusmanager.cpp
    aimuserinfo.cpp
    aimjoinchat.cpp
    aimchatsession.cpp )

add_library(kopete_aim MODULE ${kopete_aim_PART_SRCS})


target_link_libraries(kopete_aim
    kopete_oscar
    oscar
    kopete
    
    Qt5::Xml
    )

install(TARGETS kopete_aim  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install( FILES kopete_aim.desktop aim.protocol  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== protocols/oscar/icq/CMakeLists.txt ===

#add_subdirectory( ui )

include_directories(
    ${KOPETE_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/ui/
    ${CMAKE_CURRENT_BINARY_DIR}/ui/
    ${CMAKE_CURRENT_SOURCE_DIR}/../
    ${CMAKE_CURRENT_BINARY_DIR}/../
    ${CMAKE_CURRENT_SOURCE_DIR}/../liboscar/
    ${CMAKE_CURRENT_SOURCE_DIR}/../liboscar/utils
    ${CMAKE_CURRENT_SOURCE_DIR}/../liboscar/tasks
    )


########### next target ###############

set(kopete_icq_ui_SRCS
    ui/icqeditaccountwidget.cpp
    ui/icquserinfowidget.cpp
    ui/icqauthreplydialog.cpp
    ui/icqaddcontactpage.cpp
    ui/icqsearchdialog.cpp
    ui/icqchangepassworddialog.cpp
    ui/xtrazicqstatusdialog.cpp
    ui/xtrazicqstatuseditor.cpp
    ui/xtrazstatusdelegate.cpp
    ui/editorwithicon.cpp
    ui/iconcells.cpp
    ui/infocombobox.cpp
    )

ki18n_wrap_ui(kopete_icq_ui_SRCS
    ui/icqadd.ui
    ui/icqgeneralinfo.ui
    ui/icqotherinfowidget.ui
    ui/icqhomeinfowidget.ui
    ui/icqworkinfowidget.ui
    ui/icqinterestinfowidget.ui
    ui/icqorgaffinfowidget.ui
    ui/icqauthreplyui.ui
    ui/icqsearchbase.ui
    ui/icqeditaccountui.ui
    ui/icqchangepassword.ui
    ui/xtrazicqstatusui.ui
    ui/xtrazicqstatuseditorui.ui
    )

set(kopete_icq_PART_SRCS
    ${kopete_icq_ui_SRCS}
    icqstatusmanager.cpp
    icqaccount.cpp
    icqcontact.cpp
    aimcontact.cpp
    icqprotocol.cpp
    xtrazstatus.cpp
    xtrazstatusmodel.cpp
    xtrazstatusaction.cpp )

add_library(kopete_icq MODULE ${kopete_icq_PART_SRCS})


target_link_libraries(kopete_icq
    kopete_oscar
    oscar
    kopete
    
    Qt5::Network
    )

install(TARGETS kopete_icq  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install( FILES kopete_icq.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== protocols/oscar/liboscar/CMakeLists.txt ===
include_directories(
    ${KOPETE_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/utils ${CMAKE_CURRENT_SOURCE_DIR}/tasks
    )


########### next target ###############

set(liboscar_SRCS
    oscarutils.cpp
    client.cpp
    inputprotocolbase.cpp
    coreprotocol.cpp
    flapprotocol.cpp
    snacprotocol.cpp
    oftprotocol.cpp
    ofttransfer.cpp
    transfer.cpp
    oscarclientstream.cpp
    safedelete.cpp
    stream.cpp
    buffer.cpp
    rateclassmanager.cpp
    contactmanager.cpp
    contact.cpp
    rateclass.cpp
    rateclass.h
    connection.cpp
    userdetails.cpp
    oscartypeclasses.cpp
    oscarmessage.cpp
    icquserinfo.cpp
    oscarsettings.cpp
    connectionhandler.cpp
    oscarguid.cpp
    oscarmessageplugin.cpp
    oftmetatransfer.cpp
    xtrazxawayservice.cpp
    xtrazxservice.cpp
    xtrazxtraznotify.cpp
    xtrazxrandomizerservice.cpp
    filetransferhandler.cpp
    chatroomhandler.cpp
    tasks/task.cpp
    tasks/logintask.cpp
    tasks/oscarlogintask.cpp
    tasks/closeconnectiontask.cpp
    tasks/serverversionstask.cpp
    tasks/rateinfotask.cpp
    tasks/errortask.cpp
    tasks/locationrightstask.cpp
    tasks/profiletask.cpp
    tasks/blmlimitstask.cpp
    tasks/servicesetuptask.cpp
    tasks/icbmparamstask.cpp
    tasks/prmparamstask.cpp
    tasks/ssiparamstask.cpp
    tasks/ssilisttask.cpp
    tasks/ssiactivatetask.cpp
    tasks/clientreadytask.cpp
    tasks/senddcinfotask.cpp
    tasks/sendidletimetask.cpp
    tasks/ownuserinfotask.cpp
    tasks/onlinenotifiertask.cpp
    tasks/ssimodifytask.cpp
    tasks/messagereceivertask.cpp
    tasks/messageacktask.cpp
    tasks/sendmessagetask.cpp
    tasks/icqtask.cpp
    tasks/offlinemessagestask.cpp
    tasks/ssiauthtask.cpp
    tasks/userinfotask.cpp
    tasks/icquserinfotask.cpp
    tasks/usersearchtask.cpp
    tasks/warningtask.cpp
    tasks/typingnotifytask.cpp
    tasks/buddyicontask.cpp
    tasks/serverredirecttask.cpp
    tasks/filetransfertask.cpp
    tasks/chatnavservicetask.cpp
    tasks/chatservicetask.cpp
    tasks/icquserinfoupdatetask.cpp
    tasks/icqchangepasswordtask.cpp
    tasks/icqtlvinforequesttask.cpp
    tasks/icqtlvinfoupdatetask.cpp
    tasks/chatroomtask.cpp
    utils/rtf.cc
    )

add_library( oscar SHARED ${liboscar_SRCS} )
generate_export_header(oscar BASE_NAME oscar)

target_link_libraries( oscar KF5::KDELibs4Support Qt5::Gui Qt5::Network Qt5::Xml )
set_target_properties( oscar PROPERTIES VERSION 1.0.0 SOVERSION 1 )


install(TARGETS oscar ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

=== tests/protocols/oscar/CMakeLists.txt ===
add_definitions("-DKDESRCDIR=\"${CMAKE_CURRENT_BINARY_DIR}\"")
find_package(Qt5 REQUIRED COMPONENTS Test)
include_directories(
  ${KOPETE_SOURCE_DIR}/protocols/oscar/liboscar
  ${KOPETE_SOURCE_DIR}/protocols/oscar/liboscar/utils
  ${KOPETE_SOURCE_DIR}/protocols/oscar/liboscar/tasks
  ${KOPETE_INCLUDES}
)

set(
  LIBOSCAR_TEST_LIBRARIES
  KF5::KDELibs4Support
  oscar
  Qt5::Test
)
# Test for buffer
ecm_add_test(buffertest.cpp LINK_LIBRARIES ${LIBOSCAR_TEST_LIBRARIES})

# Test for server version tasks
set(serverversionstest_SRCS serverversionstest.cpp oscartestbase.cpp )
ecm_add_test(
  ${serverversionstest_SRCS}
  TEST_NAME serverversionstest
  LINK_LIBRARIES ${LIBOSCAR_TEST_LIBRARIES}
)

# Test for connection
set(connectiontest_SRCS connectiontest.cpp oscartestbase.cpp )
ecm_add_test(
  ${connectiontest_SRCS}
  TEST_NAME connectiontest
  LINK_LIBRARIES ${LIBOSCAR_TEST_LIBRARIES}
)

# Tests for File Transfer
set(filetransfertest_SRCS filetransfertest.cpp oscartestbase.cpp )
ecm_add_test(
  ${filetransfertest_SRCS}
  TEST_NAME filetransfertest
  LINK_LIBRARIES ${LIBOSCAR_TEST_LIBRARIES}
)

#test for oscar guid
ecm_add_test(guidtest.cpp LINK_LIBRARIES ${LIBOSCAR_TEST_LIBRARIES})

=== debian/changelog ===
kopete (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * Drop upstream applied fix-glibc2.28-ftbfs.patch
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:59:05 +0100

kopete (4:19.04.3-0ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:23 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libjpeg-dev,
                libjsoncpp-dev,
                libkf5config-dev (>= 5.25.0~),
-               libkf5contacts-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.25.0~),
                libkf5crash-dev (>= 5.25.0~),
                libkf5dbusaddons-dev (>= 5.25.0~),
@@ -30,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 19.04.3~),
+               libkf5identitymanagement-dev (>= 19.12.3~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:19.04.3~),
+               libkf5libkleo-dev (>= 4:19.12.3~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
   CONFIGURE_ARGS += -DWITH_GOOGLETALK=false
 endif
 
-l10npkgs_firstversion_ok := 4:18.04.0~
+l10npkgs_firstversion_ok := 4:17.08.3~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
